ADO.NET Provider for QuickBooks

Build 21.0.7867

QBXMLVersion

The version of QBXML used in the outgoing message. This is only applicable to Desktop Edition.

Data Type

string

Default Value

"QBDEFAULT"

Remarks

Except as noted in the documentation, a value of "1.1" will suffice for all requests and for all versions of QuickBooks that support integrated applications.

With each release of QuickBooks since 2002, a corresponding version of the QuickBooks SDK has also been released: 1.0 for QuickBooks 2002, 2.0 for QuickBooks 2003, 3.0 for QuickBooks 2004, etc., up to 8.0 for QuickBooks 2009. In addition, each release of QuickBooks continues to support all earlier versions of the SDK, meaning that requests using version 1.1 of the QuickBooks SDK are supported by all versions of QuickBooks. However, new requests and newer fields in existing requests are supported in only later versions of the QuickBooks SDK. As such, it is recommended that you set the QBXMLVersion property to correspond to the version of QuickBooks you are interacting with. These values are:

QuickBooks 20021.0, 1.1
QuickBooks 20032.0
QuickBooks 20043.0
QuickBooks 20054.0, 4.1
QuickBooks 20065.0
QuickBooks 20076.0
QuickBooks 20087.0
QuickBooks 20098.0
QuickBooks 20109.0
QuickBooks 201110.0
QuickBooks 201211.0
QuickBooks 201312.0
QuickBooks 201413.0

In addition, versions of QuickBooks outside of the U.S. released before QuickBooks 2008 adhere to a different version of the QuickBooks SDK. These versions were updated with less frequency than the U.S. SDK and may omit features introduced in later releases:

QuickBooks Canadian 2003CA2.0
QuickBooks Canadian 2004 to 2007CA3.0
QuickBooks UK 2003UK2.0
QuickBooks UK 2004 to 2007UK3.0
QuickBooks Australian 2003OZ2.0
QuickBooks Australian 2004 to 2007AU3.0

Copyright (c) 2021 CData Software, Inc. - All rights reserved.
Build 21.0.7867